<script setup lang="ts">
import { useProductStore } from '@/stores/product'

import DialogAddProduct from './DialogAddProduct.vue'
import DialogDelete from './DialogDelete.vue'
import { onMounted, ref } from 'vue'
import type { Product } from '@/types/Product'

const productStore = useProductStore()
const headers = [
  {
    key: 'id',
    sortable: false,
    title: 'ProuductId'
  },
  { key: 'name', title: 'Name' },
  { key: 'category', title: 'Category' },
  { key: 'type', title: 'Type' },
  { key: 'gsize', title: 'Size' },
  { key: 'price', title: 'Price' },
  { title: 'Actions', key: 'actions', sortable: false }
]
const search = ref('')
onMounted(async () => {
  await productStore.getProducts()
  await productStore.getProductCategory()
})
</script>
<template v-for="(item, index) in items" :key="item">
  <v-data-table
    :headers="headers"
    :items="productStore.products"
    :search="search"
    :items-per-page="10"
  >
    <template v-slot:[`item.actions`]="{ item }">
      <v-icon size="small" class="me-2" @click="productStore.editProduct(item.id!)">
        mdi-pencil
      </v-icon>
      <v-icon size="small" @click="productStore.openDialogDelete(item)"> mdi-delete </v-icon>
    </template>
  </v-data-table>
  <DialogAddProduct></DialogAddProduct>
  <DialogDelete></DialogDelete>
</template>
<style >
  tbody tr:nth-of-type(even) {
  background-color: #dddcde;
}

tbody tr:nth-of-type(odd) {
  background-color: #f5f4f7;
}

thead {
  background-color: #403c3c;
  color: rgb(0, 0, 0);
  font-weight: bold;
  color: white;
}

.theme--light.v-data-table thead tr th {
  color: white;
}

</style>
